Update Own Offer
curl --request PUT \
--url https://crypto.westminister.tech/api/v1/auth/customer/offers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"crypto_amount": "<string>",
"available_amount": "<string>",
"rate": "<string>",
"min_order": "<string>",
"max_order": "<string>",
"description": "<string>"
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/customer/offers/{id}"
payload = {
"crypto_amount": "<string>",
"available_amount": "<string>",
"rate": "<string>",
"min_order": "<string>",
"max_order": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
crypto_amount: '<string>',
available_amount: '<string>',
rate: '<string>',
min_order: '<string>',
max_order: '<string>',
description: '<string>'
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/customer/offers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"asset": "<string>",
"crypto_amount": "<string>",
"available_amount": "<string>",
"rate": "<string>",
"min_order": "<string>",
"max_order": "<string>",
"status": "<string>",
"pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": {
"String": "<string>",
"Valid": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": {
"Time": "2023-11-07T05:31:56Z",
"Valid": true
}
}Offers
Update Own Offer
Updates an offer only when it belongs to the authenticated user (admins can update any offer).
PUT
/
api
/
v1
/
auth
/
customer
/
offers
/
{id}
Update Own Offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Offer Updated
Offer ID.
Vendor ID.
Offer type.
Available options:
SELL, BUY Asset symbol (e.g.
Offer amount in selected asset (USDT/USDC).
Available offer amount in selected asset. Must be <= crypto_amount and <= owner's default wallet asset balance.
Exchange rate (KES per USDT).
Minimum order size.
Maximum order size.
Offer status.
Set for BUY (off-ramp) offers.
Set for BUY (off-ramp) offers.
Default fee bearer for orders against this offer.
Available options:
sender, receiver Show child attributes
Show child attributes
Database-style nullable time wrapper
Show child attributes
Show child attributes
⌘I